#include <iostream>

using namespace std;

string Maks3(string a, string b,string c)
{
    string maks="";
    if(a>b&&a>c)
        maks=a;
    if(b>a&&b>c)
        maks=b;
    if(c>a&&c>b)
        maks=c;
    return maks;
}
int main()
{
   string a;
   string b;
   string c;
   cin>>a;
   cin>>b;
   cin>>c;
   string str1=a+b+c;
   string str2=a+c+b;
   string str3=b+a+c;
   string str4=b+c+a;
   string str5=c+a+b;
   string str6=c+b+a;
   if(Maks3(str1,str2,str3)>Maks3(str4,str5,str6))
    cout<<Maks3(str1,str2,str3);
   else
    cout<<Maks3(str4,str5,str6);
    return 0;
}